function [val] = filetype_check_header(filename, head)

% FILETYPE_CHECK_HEADER helper function to determine the file type
% by reading the first number of bytes of a file and comparing them 
% to a known string (c.f. magic number).

% Copyright (C) 2003-2006 Robert Oostenveld
%
% $Log: filetype_check_header.m,v $
% Revision 1.1  2006/08/28 10:10:11  roboos
% moved subfunctions for filetype detection into seperate files
%

if isdir(filename)
  val = 0;
else
  fid = fopen(filename, 'rb');
  if fid<0
    warning(sprintf('could not open %s', filename));
    val = 0;
  else
    [str, siz] = fread(fid, length(head), 'char');
    fclose(fid);
    if siz~=length(head)
      error('could not read the header from the file');
    end
    val = all(char(str(:))==head(:));
  end
end
return

